gstreamermm: Gst::QueryPosition Class Reference

gstreamermm 0.10.10.1

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
Gst::QueryPosition Class Reference

A stream position query object. More...

Inheritance diagram for Gst::QueryPosition:
[legend]
Collaboration diagram for Gst::QueryPosition:
[legend]

List of all members.

## Public Member Functions
| QueryPosition (GstQuery* query)
void | set (Format format, gint64 position)
| Answer a position query by setting the requested value in the given format.
void | parse (Format& format, gint64& position) const
| Parse a position query, writing the format into format, and the position into position.
gint64 | parse () const
| Parse the position of a position query, returning the position.
Format | parse_format () const
| Parse the format of a position query, returning the format.
## Static Public Member Functions
static Glib::RefPtr< Gst::Query > | create (Format format)
| Constructs a new query stream position query object.

## Detailed Description

A stream position query object.

See create() for more details.

## Constructor & Destructor Documentation

Gst::QueryPosition::QueryPosition | ( | GstQuery * | query | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::Query> Gst::QueryPosition::create | ( | Format | format | ) | `[static]`

Constructs a new query stream position query object.

A position query is used to query the current position of playback in the streams, in some format.

Parameters:

  format | The default Gst::Format for the new query.

Returns:
  The new Gst::QueryPosition.

gint64 Gst::QueryPosition::parse | ( |  | ) | const

Parse the position of a position query, returning the position.

Returns:
  The current position of the position query.

void Gst::QueryPosition::parse | ( | Format& | format,
|  | gint64 & | position
| ) |  | const

Parse a position query, writing the format into format, and the position into position.

Use the other parse() methods for parsing individual values.

Parameters:

  format | The storage for the Gst::Format of the position values.
  position | The storage for the current position.

Format Gst::QueryPosition::parse_format | ( |  | ) | const

Parse the format of a position query, returning the format.

Returns:
  The the Gst::Format of the position values.

void Gst::QueryPosition::set | ( | Format | format,
|  | gint64 | position
| ) |  |

Answer a position query by setting the requested value in the given format.

Parameters:

  format | The requested Gst::Format.
  position | The position to set.

The documentation for this class was generated from the following file:

- gstreamermm/query.h